# Run tests in check section
%bcond_without check

# https://github.com/koofr/go-httpclient
%global goipath         github.com/koofr/go-httpclient
%global commit          03786175608a2f5e76523fc489cad8bee2f20fbc

%global common_description %{expand:
Go HTTP client.}

%gometa

Name:           %{goname}
Version:        0
Release:        0.1%{?dist}
Summary:        Go HTTP client
# Detected licences
# - Expat License at 'LICENSE'
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/onsi/ginkgo)
BuildRequires:  golang(github.com/onsi/gomega)

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README.md


%changelog
* Fri Mar 08 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20190325git0378617
- First package for Fedora

